OBJ

  system : "Propeller Board of Education"              
  adc    : "PropBOE ADC"                               
  pin    : "Input Output Pins"   
  time   : "Timing"                                    

VAR

  long ad0                                              
  long ad1
  long thresh

PUB Go                                                 

  system.Clock(80_000_000)                             
  thresh := 900
  
  repeat                                               
    ad0 := adc.In(0)                                   
    ad1 := adc.In(1)
    if ad0 > thresh AND ad1 > thresh
      RobotFwd
    elseif ad0 > thresh AND ad1 < thresh
      RobotLeft
    elseif ad0 < thresh AND ad1 > thresh
      RobotRight
    else
      RobotStop      
    time.Pause(5)                                     

PRI RobotFwd
    pin.Low(4)
    pin.High(5)
    pin.High(6)
    pin.Low(7)

PRI RobotRight
    pin.High(4)
    pin.Low(5)
    pin.High(6)
    pin.Low(7)    

PRI RobotLeft
    pin.Low(4)
    pin.High(5)
    pin.Low(6)
    pin.High(7)    

PRI RobotRev
    pin.High(4)
    pin.Low(5)
    pin.Low(6)
    pin.High(7)

PRI RobotStop
    pin.Low(4)
    pin.Low(5)
    pin.Low(6)
    pin.Low(7)